sometimes refreshing External AD UserGroups may throw Invalid authenticity token

03/31/2016 02:36 AM - Daniel Lobato Garcia

Status: Resolved % Done: 0%

Priority: High   

Assignee: Maria Nita   

Category: Trends   

Target version:    

Difficulty: easy Fixed in Releases: 2.4.2

Triaged: No Found in Releases: 0.1

Bugzilla link: 1195622 Red Hat JIRA:  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1195622

Description of problem:

sometimes refreshing External AD UserGroups may throw Invalid authenticity token

Processing by UsergroupsController#edit as */*

Parameters: {"id"=>"2"}

Rendered common/_edit_habtm.html.erb (0.1ms)

Rendered common/_edit_habtm.html.erb (7.0ms)

Rendered usergroups/_external.html.erb (4.4ms)

Rendered usergroups/_external.html.erb (3.8ms)

Rendered usergroups/_external.html.erb (3.7ms)

Rendered usergroups/_form.html.erb (52.9ms)

Rendered usergroups/edit.html.erb (53.4ms)

Completed 200 OK in 70ms (Views: 50.1ms | ActiveRecord: 6.1ms)

Processing by ExternalUsergroupsController#refresh as HTML

Parameters: {"authenticity_token"=>"CvNA8E+Hr2FCsnL3yu3mBpA/pmLqL3YDaFBH3qmv7HA=", "id"=>"foobargroup"}

WARNING: Can't verify CSRF token authenticity

Operation FAILED: ERF42-4995 [Foreman::Exception]: Invalid authenticity token

Rendered common/500.html.erb within layouts/application (6.4ms)

Rendered layouts/base.html.erb (1.5ms)

Completed 500 Internal Server Error in 217ms (Views: 213.8ms | ActiveRecord: 0.0ms)

Version-Release number of selected component (if applicable):

sat6.1 beta snap3

How reproducible:

Steps to Reproduce:

1. create user-group

2. add external AD UserGroup

3.

Actual results:

Invalid authenticity token received, but users info gets fetched from AD

Expected results:

No such error as shown above

Additional info:

History

#1 - 03/31/2016 03:17 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Need more information
https://bugzilla.redhat.com/show_bug.cgi?id=1195622


I'm not sure how to reproduce this, I can't.  Could you provide a full log including successful attempts?  Timestamps on the log would be useful.

The authentication tokens should be identical between requests, but it's hard to tell with one if it's correct.  If you're logging out/in or changing

sessions simultaneously then it may invalidate.

#2 - 05/17/2017 03:47 PM - Anonymous

- Status changed from Need more information to Resolved

that BZ got closed.

#3 - 10/02/2021 04:04 PM - Nelsoncom Nelsoncom

- Tracker changed from Bug to Tracker

- Category changed from Web Interface to Trends

- Assignee changed from Daniel Lobato Garcia to Maria Nita

- Priority changed from Normal to High

- % Done set to 0

- Difficulty set to easy

- Fixed in Releases 2.4.2 added

- Found in Releases 0.1 added

007 SEM TEMPO PARA MORRER ASSISTIR FILME ONLINE COMPLETAS GRÁTIS

https://groups.google.com/g/007-sem-tempo-para-morrer-assistir-filme-online-grtis-portugus/c/3IDTctCDo5A

https://www.bitchute.com/video/ut3oMaDCoo07/

https://medium.com/@gerasimov192012/hd-007-sem-tempo-para-morrer-2021-ver-hd-f-i-l-m-e-online-gratis-portugu%C3%AAs-d28bad5ffcf2

https://007semtempoparamorreronline.tumblr.com/post/663576396435701760/007-sem-tempo-para-morrer-assistir-filme-online

Sin tiempo para morir ver pelicula Online Gratis

https://groups.google.com/g/sin-tiempo-para-morir-ver-completas-gratis-pelcula-online/c/4H7W6O5XRy8

https://www.bitchute.com/video/rp5RDA7aERGg/

https://www.deviantart.com/yaximinko1900/art/Sin-tiempo-para-morir-ver-pelicula-Online-Gratis-893227759

https://medium.com/@yaximinko1900/hd-sin-tiempo-para-morir-2021-ver-p-e-l-i-c-u-l-a-online-gratis-espa%C3%B1ol-latino-ba9cf3161386

https://sintiempoparamorirveronline.tumblr.com/post/663582625423867905/sin-tiempo-para-morir-ver-pelicula-completas

MOURIR PEUT ATTENDRE FILM STREAMING HD VF REGARDER ONLINE

https://groups.google.com/g/mourir-peut-attendre-streaming-film-vf-complet-gratuit/c/arAJ-J1mqxU

https://www.bitchute.com/video/rsZR6jnphR0r/

https://medium.com/@viktofzarechnuy/hd-mourir-peut-attendre-2021-ver-p-e-l-i-c-u-l-a-online-gratis-espa%C3%B1ol-latino-b8548922f8e9

https://mourirpeutattendrevfstreaming.tumblr.com/post/663587855439888384/mourir-peut-attendre-film-streaming-hd-vf-regarder

NO TIME TO DIE FILM COMPLETO STREAMING + SCARICARE FILM ITA

https://groups.google.com/g/no-time-to-die-online-film-streaming-ita-gratis-completo/c/KgDH1ZGrgiE

https://www.bitchute.com/video/73hVj3Y0NthW/

https://medium.com/@grabovskijdenis79/streaming-ita-no-time-to-die-2021-hd-f-i-l-m-completo-online-gratis-g-u-a-r-d-a-r-e-italiano-152b10ebee7d

https://notimetodiestreamingita.tumblr.com/post/663673424061841408/no-time-to-die-online-film-streaming-ita-gratis

JAMES BOND 007 KEINE ZEIT ZU STERBEN FILM STREAM DEUTSCH ONLINE KOMPLETT
NO TIME TO DIE FREE FULL MOVIE DOWNLOAD + WATCH FILM

https://groups.google.com/g/no-time-to-die-free-full-movie-watch/c/bPi8Xs1u-x4

https://www.bitchute.com/video/cr8FJMShbQ72/

https://medium.com/@pravaaarina/watch-no-time-to-die-free-2021-online-movie-full-english-ml-6efd702c4e44
